# Generated by Django 3.1.1 on 2020-10-29 12:40

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Restoran',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama', models.CharField(max_length=100)),
                ('alamat', models.TextField()),
                ('picture', models.ImageField(upload_to='')),
                ('time_open', models.TimeField()),
                ('time_close', models.TimeField()),
            ],
        ),
        migrations.CreateModel(
            name='Makanan',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('nama', models.CharField(max_length=100)),
                ('harga', models.IntegerField()),
                ('picture', models.ImageField(upload_to='')),
                ('restoran', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='restoran.restoran')),
            ],
        ),
    ]
